import request from '@/utils/request'

// 查询自拍认证列表
export function listUserCameraAudit(query) {
  return request({
    url: '/cai/userCameraAudit/list',
    method: 'get',
    params: query
  })
}

// 查询自拍认证详细
export function getUserCameraAudit(id) {
  return request({
    url: '/cai/userCameraAudit/' + id,
    method: 'get'
  })
}

// 新增自拍认证
export function addUserCameraAudit(data) {
  return request({
    url: '/cai/userCameraAudit',
    method: 'post',
    data: data
  })
}

// 修改自拍认证
export function updateUserCameraAudit(data) {
  return request({
    url: '/cai/userCameraAudit',
    method: 'put',
    data: data
  })
}

export function batchAuditCameraAudit(data) {
  return request({
    url: '/cai/userCameraAudit/batch/audit',
    method: 'post',
    data: data
  })
}

// 删除自拍认证
export function delUserCameraAudit(id) {
  return request({
    url: '/cai/userCameraAudit/' + id,
    method: 'delete'
  })
}
